# Uses of Interface
org.apache.datasketches.tuple.SummaryFactory

Packages that use SummaryFactory
Package
Description
org.apache.datasketches.tuple
The tuple package contains a number of sketches based on the same fundamental algorithms of the Theta Sketch Framework and extend these concepts for whole new families of sketches.
org.apache.datasketches.tuple.adouble
This package is for a generic implementation of the Tuple sketch for single Double value.
org.apache.datasketches.tuple.aninteger
This package is for a generic implementation of the Tuple sketch for single Integer value.
org.apache.datasketches.tuple.strings
This package is for a generic implementation of the Tuple sketch for single String value.

## Uses of SummaryFactory in org.apache.datasketches.tuple

Methods in org.apache.datasketches.tuple that return SummaryFactory
Modifier and Type
Method
Description
`SummaryFactory<S>`
Sketch.`getSummaryFactory()`
Gets the Summary Factory class of type S
Methods in org.apache.datasketches.tuple with parameters of type SummaryFactory
Modifier and Type
Method
Description
`static <U, S extends UpdatableSummary<U>>
UpdatableSketch<U,S>`
Sketches.`heapifyUpdatableSketch(org.apache.datasketches.memory.Memory mem, SummaryDeserializer<S> deserializer, SummaryFactory<S> summaryFactory)`
Instantiate UpdatableSketch from a given Memory
Constructors in org.apache.datasketches.tuple with parameters of type SummaryFactory
Modifier
Constructor
Description
``
`UpdatableSketch(int nomEntries, int lgResizeFactor, float samplingProbability, SummaryFactory<S> summaryFactory)`
This is to create a new instance of an UpdatableQuickSelectSketch.
``
`UpdatableSketch(org.apache.datasketches.memory.Memory srcMem, SummaryDeserializer<S> deserializer, SummaryFactory<S> summaryFactory)`
Deprecated.
As of 3.0.0, heapifying an UpdatableSketch is deprecated.
``
`UpdatableSketchBuilder(SummaryFactory<S> summaryFactory)`
Creates an instance of UpdatableSketchBuilder with default parameters

## Uses of SummaryFactory in org.apache.datasketches.tuple.adouble

Classes in org.apache.datasketches.tuple.adouble that implement SummaryFactory
Modifier and Type
Class
Description
`final class`
`DoubleSummaryFactory`
Factory for DoubleSummary.

## Uses of SummaryFactory in org.apache.datasketches.tuple.aninteger

Classes in org.apache.datasketches.tuple.aninteger that implement SummaryFactory
Modifier and Type
Class
Description
`class`
`IntegerSummaryFactory`
Factory for IntegerSummary.

## Uses of SummaryFactory in org.apache.datasketches.tuple.strings

Classes in org.apache.datasketches.tuple.strings that implement SummaryFactory
Modifier and Type
Class
Description
`class`
`ArrayOfStringsSummaryFactory`
Implements SummaryFactory<ArrayOfStringsSummary>